Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model
Class ADFmMessageBundle

`java.lang.Object
java.util.ResourceBundle
java.util.ListResourceBundle
oracle.jbo.common.CheckedListResourceBundle
oracle.adf.model.ADFmMessageBundle`

public class ADFmMessageBundle
extends oracle.jbo.common.CheckedListResourceBundle

Field Summary
`static java.lang.String` | `ACTION_COMMIT`
`static java.lang.String` | `ACTION_CREATE`
`static java.lang.String` | `ACTION_CREATE_INSERT`
`static java.lang.String` | `ACTION_DELETE`
`static java.lang.String` | `ACTION_EXECUTE`
`static java.lang.String` | `ACTION_EXECUTE_WITH_PARAMS`
`static java.lang.String` | `ACTION_FIND`
`static java.lang.String` | `ACTION_FIRST`
`static java.lang.String` | `ACTION_ITERATOR_BINDING_EXECUTE`
`static java.lang.String` | `ACTION_LAST`
`static java.lang.String` | `ACTION_NEXT`
`static java.lang.String` | `ACTION_NEXT_SET`
`static java.lang.String` | `ACTION_PREVIOUS`
`static java.lang.String` | `ACTION_PREVIOUS_SET`
`static java.lang.String` | `ACTION_REMOVEROW_WITH_KEY`
`static java.lang.String` | `ACTION_RESET_STATE`
`static java.lang.String` | `ACTION_ROLLBACK`
`static java.lang.String` | `ACTION_SETCURRENTROW_WITH_KEY`
`static java.lang.String` | `ACTION_SETCURRENTROW_WITH_KEYVALUE`
`static java.lang.String` | `EXC_ADAPTER_CLASS_LOAD_FAILED` JBO-35102: AdapterException
`static java.lang.String` | `EXC_ADAPTER_CLASS_NOT_DEFINED` JBO-35101: AdapterException
`static java.lang.String` | `EXC_ADAPTER_DEF_LOAD_FAILED` JBO-35104: AdapterException
`static java.lang.String` | `EXC_ADAPTER_DEF_SYNTAX` JBO-35105: AdapterException
`static java.lang.String` | `EXC_ADAPTER_EXCEPTION` JBO-35103: AdapterException
`static java.lang.String` | `EXC_ADAPTER_NOT_DEFINED_FOR_TYPE` JBO-35106: AdapterException
`static java.lang.String` | `EXC_ARG_PARAM_COUNT_MISMATCH` JBO-35001: JboException
`static java.lang.String` | `EXC_CANNOT_CREATE_DOMAIN` JBO-35003: InvalidOperException
`static java.lang.String` | `EXC_CONTROLBINDING_NOT_REUSABLE` JBO-35001: JboException
`static java.lang.String` | `EXC_DATACONTROL_BAD_IMPL` JBO-35107: AdapterException
`static java.lang.String` | `EXC_FIND_MODE_NOT_IMPLEMENTED` JBO-35003: InvalidOperException
`static java.lang.String` | `EXC_NULL_BEAN_FOR_ROW` JBO-35008: InvalidParamException
`static java.lang.String` | `EXC_REGION_LISTENER_VALIDATE` JBO-35005: ValidationException
`static java.lang.String` | `EXC_SPEL_ATTRIBUTE_NOT_RESOLVED` JBO-35000: JboException
`static java.lang.String` | `EXC_TOO_MANY_ROWS_FOR_REMOVE` JBO-35006: InvalidOperException
`static java.lang.String` | `EXC_UNEXPECTED` JBO-35100: AdapterException
`static java.lang.String` | `EXC_UNEXPECTED_CURRENT_ROW` JBO-35007: InvalidOperException
`static java.lang.String` | `EXC_VAL_ATTR_SET_FAILED` JBO-27008: ReadOnlyAttrException
`static java.lang.String` | `MSG_BUNDLE`
`static java.lang.String` | `STR_DEF_APPLICATION`

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`ADFmMessageBundle()`

Method Summary
`java.lang.Object[][]` | `getContents()` Gets the key-value association table.
`static java.lang.String` | `getResString(java.lang.String id)`

Methods inherited from class java.util.ListResourceBundle
`getKeys, handleGetObject`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STR_DEF_APPLICATION

    public static final java.lang.String STR_DEF_APPLICATION

  See Also:
    Constant Field Values

### EXC_SPEL_ATTRIBUTE_NOT_RESOLVED

    public static final java.lang.String EXC_SPEL_ATTRIBUTE_NOT_RESOLVED

  JBO-35000: JboException

  Cause:: Cannot find the named property in a resolved object from a spel-expression.

  Action:: Provide the right name in the spel-expression

  See Also:
    Constant Field Values

### EXC_CONTROLBINDING_NOT_REUSABLE

    public static final java.lang.String EXC_CONTROLBINDING_NOT_REUSABLE

  JBO-35001: JboException

  Cause:: A binding is being reused in another view component.

  Action:: Create another binding definition for the second component and bind that to the component.

  See Also:
    Constant Field Values

### EXC_ARG_PARAM_COUNT_MISMATCH

    public static final java.lang.String EXC_ARG_PARAM_COUNT_MISMATCH

  JBO-35001: JboException

  Cause:: A mismatch occured between the argument count and the number of parameters set into this method action binding to call the bound method.

  Action:: Provide the required set of parameters, one for each argument in the bound method.

  See Also:
    Constant Field Values

### EXC_FIND_MODE_NOT_IMPLEMENTED

    public static final java.lang.String EXC_FIND_MODE_NOT_IMPLEMENTED

  JBO-35003: InvalidOperException

  Cause:: FindMode called on an iterator binding which is associated with a datacontrol that does not support find mode.

  Action:: Do not set the containing BindingContainer or this iterator binding in find mode.

  See Also:
    Constant Field Values

### EXC_CANNOT_CREATE_DOMAIN

    public static final java.lang.String EXC_CANNOT_CREATE_DOMAIN

  JBO-35003: InvalidOperException

  Cause:: FindMode called on an iterator binding which is associated with a datacontrol that does not support find mode.

  Action:: Do not set the containing BindingContainer or this iterator binding in find mode.

  See Also:
    Constant Field Values

### EXC_REGION_LISTENER_VALIDATE

    public static final java.lang.String EXC_REGION_LISTENER_VALIDATE

  JBO-35005: ValidationException

  Cause:: One of the RegionListeners returned false from regionValidate() during BindingContainer.validate()

  Action:: Fix the cause for the RegionListener's failure.

  See Also:
    Constant Field Values

### EXC_TOO_MANY_ROWS_FOR_REMOVE

    public static final java.lang.String EXC_TOO_MANY_ROWS_FOR_REMOVE

  JBO-35006: InvalidOperException

  Cause:: Too many rows found to delete in IteratorBinding.removeRowByKey.

  Action:: Provide a key to this method such that only one row is found for removal.

  See Also:
    Constant Field Values

### EXC_UNEXPECTED_CURRENT_ROW

    public static final java.lang.String EXC_UNEXPECTED_CURRENT_ROW

  JBO-35007: InvalidOperException

  Cause:: Currency for an Iterator Binging, in the restored state for this BindingContainer, does not match the currency in the token preserved on the page.

  Action:: Either do not process state-token for this request if currency is not required to be at the same state where the previous request left the server as, or fix the cause of the request that may be due to mutliple requests for the same action while one is being processed.

  See Also:
    Constant Field Values

### EXC_NULL_BEAN_FOR_ROW

    public static final java.lang.String EXC_NULL_BEAN_FOR_ROW

  JBO-35008: InvalidParamException

  Cause:: A row is being created for Null bean or map.

  Action:: Fix the bean/map accessor so that a non-null bean or map is used to create a Row. A row with null bean/map will lead to a number of NullPointerExceptions down the chain in an ADF Application.

  See Also:
    Constant Field Values

### EXC_VAL_ATTR_SET_FAILED

    public static final java.lang.String EXC_VAL_ATTR_SET_FAILED

  JBO-27008: ReadOnlyAttrException

  Cause: Attempting to modify a Row attribute that is readonly

  Action: Either change the Updateable flag for the Attribute or do not attempt to update readonly attributes.

  See Also:
    Constant Field Values

### EXC_UNEXPECTED

    public static final java.lang.String EXC_UNEXPECTED

  JBO-35100: AdapterException

  Cause:: Un-Expected exception.

  See Also:
    Constant Field Values

### EXC_ADAPTER_CLASS_NOT_DEFINED

    public static final java.lang.String EXC_ADAPTER_CLASS_NOT_DEFINED

  JBO-35101: AdapterException

  Cause:: No "ClassName" attribute is defined for adapter.

  Action:: Provide the "ClassName" attribute in adapter-definition.xml.

  See Also:
    Constant Field Values

### EXC_ADAPTER_CLASS_LOAD_FAILED

    public static final java.lang.String EXC_ADAPTER_CLASS_LOAD_FAILED

  JBO-35102: AdapterException

  Cause:: Failed to load adapter class.

  Action:: Check the class name and the class path.

  See Also:
    Constant Field Values

### EXC_ADAPTER_EXCEPTION

    public static final java.lang.String EXC_ADAPTER_EXCEPTION

  JBO-35103: AdapterException

  Cause:: Exception throws from the adapter.

  Action:: Check the detail message or the log file.

  See Also:
    Constant Field Values

### EXC_ADAPTER_DEF_LOAD_FAILED

    public static final java.lang.String EXC_ADAPTER_DEF_LOAD_FAILED

  JBO-35104: AdapterException

  Cause:: Failed to load adapter definition file.

  Action:: The file name should be META-INF/adapter-definition.xml.

  See Also:
    Constant Field Values

### EXC_ADAPTER_DEF_SYNTAX

    public static final java.lang.String EXC_ADAPTER_DEF_SYNTAX

  JBO-35105: AdapterException

  Cause:: Failed to parse the adapter definition file.

  Action:: Check the content of the file. Check for the XML syntax.

  See Also:
    Constant Field Values

### EXC_ADAPTER_NOT_DEFINED_FOR_TYPE

    public static final java.lang.String EXC_ADAPTER_NOT_DEFINED_FOR_TYPE

  JBO-35106: AdapterException

  Cause:: Adapter is not defined for the type used.

  Action:: Check the content of the adapter definition file.

  See Also:
    Constant Field Values

### EXC_DATACONTROL_BAD_IMPL

    public static final java.lang.String EXC_DATACONTROL_BAD_IMPL

  JBO-35107: AdapterException

  Cause:: Data Control class does not implement the required interfaces.

  Action:: The data control class must implement the JSR 227 interfaces. See the document.

  See Also:
    Constant Field Values

### ACTION_COMMIT

    public static final java.lang.String ACTION_COMMIT

  See Also:
    Constant Field Values

### ACTION_ROLLBACK

    public static final java.lang.String ACTION_ROLLBACK

  See Also:
    Constant Field Values

### ACTION_CREATE

    public static final java.lang.String ACTION_CREATE

  See Also:
    Constant Field Values

### ACTION_CREATE_INSERT

    public static final java.lang.String ACTION_CREATE_INSERT

  See Also:
    Constant Field Values

### ACTION_FIND

    public static final java.lang.String ACTION_FIND

  See Also:
    Constant Field Values

### ACTION_EXECUTE

    public static final java.lang.String ACTION_EXECUTE

  See Also:
    Constant Field Values

### ACTION_FIRST

    public static final java.lang.String ACTION_FIRST

  See Also:
    Constant Field Values

### ACTION_PREVIOUS

    public static final java.lang.String ACTION_PREVIOUS

  See Also:
    Constant Field Values

### ACTION_PREVIOUS_SET

    public static final java.lang.String ACTION_PREVIOUS_SET

  See Also:
    Constant Field Values

### ACTION_NEXT

    public static final java.lang.String ACTION_NEXT

  See Also:
    Constant Field Values

### ACTION_NEXT_SET

    public static final java.lang.String ACTION_NEXT_SET

  See Also:
    Constant Field Values

### ACTION_LAST

    public static final java.lang.String ACTION_LAST

  See Also:
    Constant Field Values

### ACTION_DELETE

    public static final java.lang.String ACTION_DELETE

  See Also:
    Constant Field Values

### ACTION_RESET_STATE

    public static final java.lang.String ACTION_RESET_STATE

  See Also:
    Constant Field Values

### ACTION_REMOVEROW_WITH_KEY

    public static final java.lang.String ACTION_REMOVEROW_WITH_KEY

  See Also:
    Constant Field Values

### ACTION_SETCURRENTROW_WITH_KEY

    public static final java.lang.String ACTION_SETCURRENTROW_WITH_KEY

  See Also:
    Constant Field Values

### ACTION_SETCURRENTROW_WITH_KEYVALUE

    public static final java.lang.String ACTION_SETCURRENTROW_WITH_KEYVALUE

  See Also:
    Constant Field Values

### ACTION_EXECUTE_WITH_PARAMS

    public static final java.lang.String ACTION_EXECUTE_WITH_PARAMS

  See Also:
    Constant Field Values

### ACTION_ITERATOR_BINDING_EXECUTE

    public static final java.lang.String ACTION_ITERATOR_BINDING_EXECUTE

  See Also:
    Constant Field Values

### MSG_BUNDLE

    public static final java.lang.String MSG_BUNDLE

  See Also:
    Constant Field Values

Constructor Detail

### ADFmMessageBundle

    public ADFmMessageBundle()

Method Detail

### getContents

    public java.lang.Object[][] getContents()

  Gets the key-value association table.
  Returns:
    an array of key-value pairs.

### getResString

    public static final java.lang.String getResString(java.lang.String id)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.